Deployment Architecture

When will Linux kernel versions 4.0+ be officially supported by Splunk?

Builder

We are looking at freshening our environment and noticed that 4.0 or 4.1 kernels are not listed specifically under system requirements. Is there any estimate available as to when they might be?

Thanks,

Sean

0 Karma

Splunk Employee
Splunk Employee

It's been stated that the system requirement that says "Linux, 3.x and later" is conclusive of 4.x as well.

So I've basically confirmed that support will support you on kernel version 4.4.

Of course, one should always test said upgrade (freshening) before committing a production environment to the upgrade and/or version.

0 Karma

Champion

I run Splunk 6.2 through 6.5 on kernel 4.4.0-45-generic on Ubuntu and have no issues.

0 Karma

New Member

This question was asked quite a while ago. Anyone at Splunk able to answer this because we have kernel 4.4 and it looks like I cannot install Splunk 6.5 which is the latest version.

0 Karma

Splunk Employee
Splunk Employee

I will see what I can find out about 'support' - as for installing 6.5 on a Linux distribution with kernel 4.x, I've performed an installation of 64 bit Splunk 6.5.0 on Linux Mint 18 with a v4.4 kernel. No problems whatsoever thus far.

0 Karma